Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class HttpURI

    java.lang.Object
      org.mortbay.jetty.HttpURI

    public class HttpURI

extends Object

Http URI. Parse a HTTP URI from a string or byte array. Given a URI `http://user@host:port/path/info;param?query#fragment` this class will split it into the following undecoded optional elements:

- `getScheme()` - http:
- `getAuthority()` - //name@host:port
- `getHost()` - host
- `getPort()` - port
- `getPath()` - /path/info
- `getParam()` - param
- `getQuery()` - query
- `getFragment()` - fragment

Constructor Summary
`HttpURI()`
`HttpURI(boolean parsePartialAuth)`
`HttpURI(byte[] raw, int offset, int length)`
`HttpURI(String raw)`

Method Summary
`void` | `clear()`
`void` | `decodeQueryTo(MultiMap parameters, String encoding)`
`String` | `getAuthority()`
`String` | `getCompletePath()`
`String` | `getDecodedPath()`
`String` | `getFragment()`
`String` | `getHost()`
`String` | `getParam()`
`String` | `getPath()`
`String` | `getPathAndParam()`
`int` | `getPort()`
`String` | `getQuery()`
`String` | `getQuery(String encoding)`
`String` | `getScheme()`
`void` | `parse(byte[] raw, int offset, int length)`
`void` | `parse(String raw)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpURI

    public HttpURI()

### HttpURI

    public HttpURI(boolean parsePartialAuth)

Parameters:
  `parsePartialAuth` - If True, parse auth without prior scheme, else treat all URIs starting with / as paths

### HttpURI

    public HttpURI(String raw)

### HttpURI

    public HttpURI(byte[] raw,
                   int offset,
                   int length)

Method Detail

### parse

    public void parse(String raw)

### parse

    public void parse(byte[] raw,
                      int offset,
                      int length)

### getScheme

    public String getScheme()

### getAuthority

    public String getAuthority()

### getHost

    public String getHost()

### getPort

    public int getPort()

### getPath

    public String getPath()

### getDecodedPath

    public String getDecodedPath()

### getPathAndParam

    public String getPathAndParam()

### getCompletePath

    public String getCompletePath()

### getParam

    public String getParam()

### getQuery

    public String getQuery()

### getQuery

    public String getQuery(String encoding)

### getFragment

    public String getFragment()

### decodeQueryTo

    public void decodeQueryTo(MultiMap parameters,
                              String encoding)
                       throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### clear

    public void clear()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.